Name:    kde-printer-applet 
Summary: KDE printer applet 
Version: 4.9.5
Release: 1%{?dist}

License: GPLv2+
#URL:     https://projects.kde.org/projects/kde/kdeutils/printer-applet
URL:     http://utils.kde.org/projects/printer-applet
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/printer-applet-%{version}.tar.xz
BuildArch: noarch

## upstreamable patches
# https://bugzilla.redhat.com/show_bug.cgi?id=739642
Patch51: kdeutils-4.7.1-job-originating-user-name.patch

## upstream patches
## trunk, added to trunk/4.7, add support for automatic printer driver installation (Tim Waugh, #576660)
Patch200: kdeutils-4.4.1-printer-applet-InstallPrinterDrivers.patch

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}

# when split occured
Conflicts: kdeutils-common < 6:4.7.80

Obsoletes: kdeutils-printer-applet < 6:4.7.80
Provides:  kdeutils-printer-applet = 6:%{version}-%{release}
# switch to noarch
Obsoletes: kde-printer-applet < 4.7.97-2

Requires: pykde4%{?_kde4_version: >= %{_kde4_version}}
Requires: dbus-python
Requires: system-config-printer-libs
Requires: system-config-printer-udev


%description
Printer Applet is a system tray utility that shows current print jobs,
shows printer warnings and errors.

%prep
%setup -q -n printer-applet-%{version} 

%patch51 -p2 -b .job-originating-user-name
%patch200 -p2 -b .InstallPrinterDrivers


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DINSTALL_PRINTER_APPLET:BOOL=ON \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang printer-applet --with-kde --without-mo


%files -f printer-applet.lang
%doc COPYING README
%{_kde4_bindir}/printer-applet
%{_kde4_datadir}/autostart/printer-applet.desktop
%{_kde4_appsdir}/printer-applet/


%changelog
* Sat Dec 29 2012 Rex Dieter <rdieter@fedoraproject.org> 4.9.5-1
- 4.9.5

* Wed Dec 05 2012 Than Ngo <than@redhat.com> - 4.9.4-1
- 4.9.4

* Sat Nov 03 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.3-1
- 4.9.3

* Sat Sep 29 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.2-1
- 4.9.2

* Wed Sep 05 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.1-1
- 4.9.1

* Thu Jul 26 2012 Lukas Tinkl <ltinkl@redhat.com> - 4.9.0-1
- 4.9.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 11 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.97-1
- 4.8.97

* Thu Jun 28 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.95-1
- 4.8.95

* Sat Jun 09 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.90-1
- 4.8.90

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Tue Mar 06 2012 Radek Novacek <rnovacek@redhat.com> 4.8.1-1
- 4.8.1

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Tue Jan 17 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-2
- kde-printer-applet-debuginfo is empty (#782222)

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-1
- 4.7.97

* Sat Dec 24 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.95-1
- 4.7.95

* Thu Dec 08 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- 4.7.90
- rename to kde-printer-applet 

* Sat Nov 26 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.80-1
- first try

